"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _MoneyField = _interopRequireDefault(require("./MoneyField"));

var _CityField = _interopRequireDefault(require("./CityField"));

var _TextAreaField = _interopRequireDefault(require("./TextAreaField"));

var _NumberField = _interopRequireDefault(require("./NumberField"));

var _DateField = _interopRequireDefault(require("./DateField"));

var _OptionField = _interopRequireDefault(require("./OptionField"));

var _InputField = _interopRequireDefault(require("./InputField"));

var _SplitSpace = _interopRequireDefault(require("./SplitSpace"));

var _StaffField = _interopRequireDefault(require("./StaffField"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * @Description: file content
 * @Author: RongWei
 * @Date: 2020-03-19 15:13:49
 * @LastEditors: RongWei
 * @LastEditTime: 2020-03-19 23:00:05
 */
var _default = {
  MoneyField: _MoneyField.default,
  CityField: _CityField.default,
  TextAreaField: _TextAreaField.default,
  NumberField: _NumberField.default,
  DateField: _DateField.default,
  OptionField: _OptionField.default,
  InputField: _InputField.default,
  SplitSpace: _SplitSpace.default,
  StaffField: _StaffField.default.StaffField // CollectionStaffField: StaffField.CollectionStaffField,

};
exports.default = _default;