"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("maycur-antd/lib/popover/style/css");

var _popover = _interopRequireDefault(require("maycur-antd/lib/popover"));

var _react = _interopRequireWildcard(require("react"));

var _mkTranslate = _interopRequireDefault(require("../utils/mkTranslate"));

var _utils = _interopRequireDefault(require("../utils/utils"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * @Author: yuxuan 
 * @Date: 2020-03-05 21:15:49 
 * @Last Modified by: yuxuan
 * @Last Modified time: 2020-03-06 17:31:50
 */
var prefix = _utils.default.prefixCls;

function ViewInput(props) {
  var value = props.value,
      fullNames = props.fullNames,
      emptyText = props.emptyText;
  var transRef = (0, _react.useRef)();
  transRef.current = _mkTranslate.default.noop();

  var renderValue = function renderValue() {
    return _react.default.createElement("span", {
      className: "full-name-popover"
    }, value, fullNames && fullNames instanceof Array ? fullNames.map(function (fullName, index) {
      var _rootName = fullName && fullName.slice(-(fullName.length - 1));

      return _react.default.createElement(_popover.default, {
        placement: "bottom",
        content: _rootName && _rootName.join('/'),
        key: index
      }, _react.default.createElement("div", {
        className: 'icon-circle'
      }, _react.default.createElement("span", {
        className: "fm fm-more-o"
      })));
    }) : null);
  };

  return _react.default.createElement("div", {
    className: "".concat(prefix, "-ant-view-input")
  }, value || value === 0 ? renderValue() : _react.default.createElement("span", {
    className: "empty-text"
  }, emptyText || transRef.current('empty')));
}

var _default = ViewInput;
exports.default = _default;