"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ErrorBar(props) {
  var msg = props.msg,
      level = props.level,
      className = props.className,
      icon = props.icon,
      style = props.style;
  var barTypeClass = (0, _classnames.default)('mk-error-bar', {
    'danger': level === 'danger' || level === 'error',
    'info': level === 'info',
    'success': level === 'success'
  });
  return _react.default.createElement("div", {
    className: "".concat(barTypeClass, " ").concat(className || ''),
    style: style
  }, !!icon && _react.default.createElement("span", {
    className: 'maycur-font icon fm-expense-control'
  }), "}", _react.default.createElement("span", {
    className: 'msg'
  }, msg));
}

var _default = ErrorBar;
exports.default = _default;