"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _OptionFieldPicker = _interopRequireDefault(require("./OptionFieldPicker"));

var _ViewInput = _interopRequireDefault(require("../../ViewInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

/*
 * @Author: yuxuan 
 * @Date: 2020-03-06 19:31:16 
 * @Last Modified by:   yuxuan 
 * @Last Modified time: 2020-03-06 19:31:16 
 */
function OptionField(props) {
  var showBizCode = props.showBizCode,
      value = props.value,
      readOnly = props.readOnly;

  var _ref = value || {},
      name = _ref.name,
      bizCode = _ref.bizCode;

  var val = (0, _react.useMemo)(function () {
    return (name || '') + (showBizCode && bizCode ? "(".concat(bizCode, ")") : '');
  }, [name, showBizCode, bizCode]);
  return _react.default.createElement("div", null, readOnly ? _react.default.createElement(_ViewInput.default, {
    value: val
  }) : _react.default.createElement(_OptionFieldPicker.default, props));
}

var _default = OptionField;
exports.default = _default;