"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  "budgetmentFilter": {
    "placeholder": "Please enter a budget organization name."
  },
  "budgetSubjectFilter": {
    "placeholder": "Please enter a budget account name."
  },
  "dateFilter": {
    "all": "All",
    "recentOne": "Last month",
    "recentThree": "In the last three months."
  },
  "numberRangeFilter": {
    "warn": "Please enter a valid range of values.",
    "min": "Min",
    "max": "Max"
  },
  "departmentPicker": {
    "empty": "No department selected.",
    "stats": "Total <1>{{n}}</1> items."
  },
  "rangeCalendar": {
    "recentOne": "Last month",
    "recentThree": "In the last three months."
  },
  "filterListPanel": {
    "add": "New custom filter.",
    "empty": "No custom filters are currently available."
  },
  "filterSettingPanel": {
    "content": "Please select the content to include.",
    "range": "Please enter a valid range of values.",
    "label": "Condition Name",
    "rule": "Please enter a condition name.",
    "message": "The condition name cannot exceed 10 characters.",
    "title": "Filter Criteria ({{n}})",
    "itemLabel": "Filter",
    "itemMessage": "Please select a filter",
    "customLabel": "Include content",
    "customMessage": "Please select the content to include.",
    "addBtn": "Add Filter Criteria"
  },
  "filterSettingModal": {
    "subTitle": "Are you sure you want to delete this custom filter? It cannot be recovered after deletion.",
    "popover": "Save the screening criteria frequently used by individuals in every system, and click on the saved screening criteria at the mobile phone end and the computer end for quick screening.",
    "edit": "Edit custom filter.",
    "add": "New custom filter.",
    "manage": "manage custom filters"
  },
  "filterStateBar": {
    "empty": "No Title",
    "title": "Filter Criteria",
    "filterLabel": "Filter",
    "setBtn": "Configuration",
    "totalCount": "Total <1>{{n}}</1> records.",
    "up": "Up",
    "down": "Down"
  },
  "mkTable": {
    "btn": "Field Display"
  }
};
exports.default = _default;