"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/*
 * @Description: 
 * @Author: qmm
 * @Date: 2020-02-25 17:42:33
 * @LastEditors: qmm
 * @LastEditTime: 2020-04-22 11:02:37
 */
var _default = {
  "bankBranchInput": {
    "label": "If no branch is found, please follow the example to add the branch name completely and then add it directly.",
    "example": "Example: Hangzhou Baima Sub-branch of Industrial and Commercial Bank of China Limited."
  },
  "cityInput": {
    "placeholder": "Enter keyword search.",
    "notFoundContent": "No Matching Results"
  },
  "editPaymentForm": {
    "bank": "Bank Account",
    "alipay": "Alipay",
    "cash": "Cash",
    "errMsg": "Some problems were found during form verification. Please correct them before continuing.",
    "p1": "After some rural credit cooperatives were reformed into rural commercial banks and rural cooperative banks, they were still classified under \"rural credit cooperatives\".",
    "p2": "If you cannot find the required bank in the rural commercial bank or rural cooperative bank, you can try to find it under the \"rural credit cooperative\".",
    "bankLabel": "Bank",
    "paymentType": "Account Type",
    "paymentTypeMsg": "Account type cannot be empty.",
    "bankAcctName": "Bank Accout Name",
    "bankAcctNameMsg": "Bank Accout Name cannot be empty.",
    "bankAcctNameMax": "Enter up to 50 characters.",
    "bankAcctNamePlaceholder": "Bank Account Name",
    "cashAcctNamePlaceholder": "Cash Account Name",
    "bankCodeMsg": "Bank cannot be empty.",
    "bankCodePlaceholder": "Choose a bank.",
    "bankAcctNumber": "Bank card number",
    "bankAcctNumberMsg": "Bank card number cannot be empty.",
    "bankAcctNumberPlaceholder": "Enter bank card number.",
    "bankLocation": "Provinces and Cities",
    "bankLocationMsg": "Provinces and Cities cannot be empty.",
    "bankLocationPlaceholder": "Choose a location",
    "bankBranchBizCode": "Branch",
    "bankBranchBizCodeMsg": "Branch cannot be empty.",
    "bankBranchBizCodePlaceholder": "Choose a branch",
    "bankQuery": "How do I get the information of the company number?",
    "bankMsg": "The company may need your bank number information when making inter-bank payment, please ask the bank customer service or use the bank number inquiry tool of the following website to inquire online.",
    "bank1": "河北银行",
    "bank2": "浙商银行",
    "bank3": "建设银行",
    "bank4": "中原银行",
    "bankBranchNo": "CNAPS CODE",
    "bankBranchNoPlaceholder": "If inter-bank transfer is required, please fill in this information.",
    "agencyBizCode": "Agency service number",
    "agencyBizCodePlaceholder": "Please enter the agency business number in the online banking format for private batch payment.",
    "certType": "Certificate Type",
    "certTypeMsg": "Certificate Type cannot be empty.",
    "certTypeMax": "Enter up to 40 characters.",
    "certTypePlaceholder": "Select certificate type.",
    "identification": "Identification Number",
    "identificationMsg": "Identification Number cannot be empty.",
    "identificationPlaceholder": "Enter identification number.",
    "bankAcctNameAli": "Alipay Name",
    "bankAcctNameAliMsg": "Alipay Name cannot be empty.",
    "bankAcctNameAliPlaceholder": "Enter Alipay name.",
    "bankAcctNumberAli": "Ali Number",
    "bankAcctNumberAliMsg": "Ali Number cannot be empty.",
    "bankAcctNumberAliPlaceholder": "Enter the  Alipay Number.",
    "description": "Remarks",
    "descriptionPlaceholder": "Please remak this accout to let it different.",
    "active": "Active ",
    "bankAutomaticEnable": "Bank auto-deduction",
    "bankAutomaticEnableMsg": "This card will be used for 'Bank auto-deduction'."
  },
  "warnMsg": "Some problems were found during the form verification. Please correct them before submitting them.",
  "alertMsg": "If inter-bank transfer is required, please maintain bank card branch information."
};
exports.default = _default;