"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var master = {}; // NOTE 存下来的配置副本* 方便给modal中使用

var versionMap = {}; // 配置文件映射

var version; // 切换版本

function switchVersion(setConfigure, v) {
  version = v;
  setConfigure(versionMap[version]);
}

function _setAuthorizeMaster(value) {
  master = value;
}

function _getAuthorizeMaster() {
  return master;
}

function _setVersionMap(map) {
  versionMap = map;
}

function _getVersionMap() {
  return versionMap;
} // 增加版本映射


function _addVersion(obj) {
  for (var key in obj) {
    versionMap[key] = obj[key];
  }
}

var _default = {
  switchVersion: switchVersion,
  _setAuthorizeMaster: _setAuthorizeMaster,
  _getAuthorizeMaster: _getAuthorizeMaster,
  _setVersionMap: _setVersionMap,
  _getVersionMap: _getVersionMap,
  _addVersion: _addVersion
};
exports.default = _default;