"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Auth = _interopRequireDefault(require("./components/Auth"));

var _withAuth = _interopRequireDefault(require("./components/withAuth"));

var _AuthorizeMaster = _interopRequireDefault(require("./components/AuthorizeMaster"));

var _AuthMiddle = _interopRequireDefault(require("./components/AuthMiddle"));

var _AuthorizeContext = require("./context/AuthorizeContext");

var _Authorize = _interopRequireDefault(require("./Authorize"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  Auth: _Auth.default,
  AuthorizeMaster: _AuthorizeMaster.default,
  AuthMiddle: _AuthMiddle.default,
  AuthorizeContext: _AuthorizeContext.AuthorizeContext,
  withAuth: _withAuth.default,
  authorize: _Authorize.default
};
exports.default = _default;