"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Operators = _interopRequireDefault(require("./Operators"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  exec: function exec(condition, data) {
    var operatorMap = {
      'IN': 'InOrNot',
      'NOT_IN': 'InOrNot',
      'LIKE': 'LikeOrNot',
      'NOT_LIKE': 'LikeOrNot',
      'GTE': 'Amount',
      'LTE': 'Amount',
      'GT': 'Amount',
      'LT': 'Amount'
    };
    var targetOpetatorName = operatorMap[condition.opType];
    return _Operators.default[targetOpetatorName](condition, data, true);
    /* switch (condition.opType) {
        case 'IN':
            return Operators['InOrNot'](condition, data, true);
        case 'NOT_IN':
            return Operators['InOrNot'](condition, data, false);
        case 'LIKE':
            return Operators['LikeOrNot'](condition, data, true);
        case 'NOT_LIKE':
            return Operators['LikeOrNot'](condition, data, false);
        default:
            break;
    } */
  }
};
exports.default = _default;