"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = UseTranslate;

var _react = require("react");

var _mkTranslate = _interopRequireDefault(require("../utils/mkTranslate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function UseTranslate() {
  var ns = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'MkGlobal';

  var _useState = (0, _react.useState)(function () {
    return _mkTranslate.default.noop();
  }),
      _useState2 = _slicedToArray(_useState, 2),
      translate = _useState2[0],
      setTranslate = _useState2[1];

  (0, _react.useEffect)(function () {
    _mkTranslate.default.getNameSpace(ns).then(function (t) {
      setTranslate(function () {
        return t;
      });
    });
  }, [ns]);
  return translate;
}