"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = _interopRequireDefault(require("lodash"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//这里暂时只处理金额的比较
function comparaRules(condition, data, isPositive) {
  var identifier = condition.identifier,
      opType = condition.opType,
      value = condition.value;
  var fieldValue = data[identifier];

  var _value = value || 0;

  var _fieldValue = fieldValue && fieldValue.amount || 0; //当值为空的时候，属于条件返回false，不属于返回true


  switch (opType) {
    case 'GT':
      return _fieldValue > _value;

    case 'LT':
      return _fieldValue < _value;
      ;

    case 'LTE':
      return _fieldValue <= _value;

    case 'GTE':
      return _fieldValue >= _value;

    default:
      return false;
  }
}
/**
 * 
 * @param {*} condition 条件
 * @param {*} data 表单数据对象
 * @param {*} isPositive 是否包含
 */


function AMOUNT(condition, data, isPositive) {
  return comparaRules(condition, data, isPositive);
}

var _default = AMOUNT;
exports.default = _default;